#!/bin/bash

set -e

sudo apt install -y libglib2.0-dev intltool autopoint libusb-dev libarchive-dev libgtk-3-dev

for i in */; do touch ${i}config.rpath; done

cd libticables && autoreconf -if && ./configure && make -j5 && sudo make install && cd ..
cd libticonv && autoreconf -if && ./configure --enable-iconv && make -j5 && sudo make install && cd ..
cd libtifiles && autoreconf -if && ./configure && make -j5 && sudo make install && cd ..
cd libticalcs && autoreconf -if && ./configure && make -j5 && sudo make install && cd ..
cd tilp && autoreconf -if && ./configure && make -j5 && sudo make install && cd ..

echo "
+-------------------------------------------------------------+
|                                                             |
|    Successfully installed TILP2 (with TCP modification)!    |
|                                                             |
+-------------------------------------------------------------+
"
